import { Translator } from '../../l10n';
export declare class OpenService {
    readonly container: HTMLDivElement;
    readonly translator: Translator;
    protected fileInput?: HTMLInputElement;
    protected dropzone?: HTMLDivElement;
    protected _onChooseFile?: (file: File, blob: string) => void;
    constructor(container: HTMLDivElement, translator: Translator);
    onChooseFile(callback?: (file: File, blob: string) => void): void;
    chooseFile(): void;
    showDropzone(): void;
    hideDropzone(): void;
    destroy(): void;
    protected select(file: File): void;
    protected setupFileInput(): void;
    protected setupDropzone(): void;
}
